Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class ISOVMConfig

`java.lang.Object
oracle.ovs.api.datamodel.VirtualMachineBase
oracle.ovs.api.datamodel.ISOVMConfig`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Replaced by `ISOVmConfig`

      public class ISOVMConfig

extends VirtualMachineBase

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`BOOT_DEVICE_CDROM, BOOT_DEVICE_HDD, BOOT_DEVICE_PXE, CLONING, CREATING, DEFAULT_KEYBOARD_LAYOUT, DELETING, DEPLOY_AUTO, DEPLOY_MANUAL, DEPLOYING, ERROR, IMG_TYPE, INITIALIZING, MEMORY_LOWERBOUND, MIGRATING, OP_CLONE, OP_DELETE, OP_EDIT, OP_LIVEMIG, OP_PAUSE, OP_POWEROFF, OP_POWERON, OP_PREF_SRV, OP_REBOOT, OP_RESET_STATUS, OP_RESUME, OP_SAVTEM, OP_SUSPEND, OP_UNPAUSE, PAUSED, PAUSING, POWEREDOFF, REBOOTING, RESUMING, RUNNING, SAVING, SHUTTINGDOWN, SUSPENDED, SUSPENDING, UNKNOWN, UNPAUSING, VM_TYPE_HVM, VM_TYPE_PVM`

Constructor Summary
`ISOVMConfig()` Deprecated.

Method Summary
`java.lang.String` | `getComments()` Deprecated.
`int` | `getCpuNumber()` Deprecated.
`DiskConfig` | `getDiskConf()` Deprecated.
`java.lang.String` | `getExtractedIsoLocation()` Deprecated.
`ISOResource` | `getIso()` Deprecated.
`java.lang.String` | `getIsoLocation()` Deprecated.
`java.lang.Integer` | `getMemory()` Deprecated.
`java.lang.String` | `getOperatingSystemName()` Deprecated.
`VirtualServer[]` | `getPreferredServers()` Deprecated.
`ServerPool` | `getServerPool()` Deprecated.
`NICConfig[]` | `getVif()` Deprecated.
`VirtualMachine` | `getVm()` Deprecated.
`java.lang.String` | `getVmName()` Deprecated.
`VmType` | `getVmType()` Deprecated.
`java.lang.String` | `getVncPassword()` Deprecated.
`boolean` | `isHaEnable()` Deprecated.
`void` | `setComments(java.lang.String comments)` Deprecated.
`void` | `setCpuNumber(int cpuNumber)` Deprecated.
`void` | `setDiskConf(DiskConfig diskConf)` Deprecated.
`void` | `setExtractedIsoLocation(java.lang.String isoLocation)` Deprecated.
`void` | `setHaEnable(boolean haEnable)` Deprecated.
`void` | `setIso(ISOResource iso)` Deprecated.
`void` | `setIsoLocation(java.lang.String isoLocation)` Deprecated.
`void` | `setMemory(java.lang.Integer memory)` Deprecated.
`void` | `setOperatingSystem(OperatingSystem operatingSystem)` Deprecated.
`void` | `setOperatingSystemName(java.lang.String operatingSystemName)` Deprecated.
`void` | `setPreferredServers(VirtualServer[] preferredServers)` Deprecated.
`void` | `setServerPool(ServerPool serverPool)` Deprecated.
`void` | `setVif(NICConfig[] vif)` Deprecated.
`void` | `setVmName(java.lang.String vmName)` Deprecated.
`void` | `setVmType(VmType vmType)` Deprecated.
`void` | `setVncPassword(java.lang.String vncPassword)` Deprecated.

Methods inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`getBootDeviceCdrom, getBootDeviceHdd, getBootDevicePxe, getHvmType, getPvmType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISOVMConfig

    public ISOVMConfig()

  Deprecated.

Method Detail

### getVm

    public VirtualMachine getVm()

  Deprecated.

### setDiskConf

    public void setDiskConf(DiskConfig diskConf)

  Deprecated.

### getDiskConf

    public DiskConfig getDiskConf()

  Deprecated.

### setVif

    public void setVif(NICConfig[] vif)

  Deprecated.

### getVif

    public NICConfig[] getVif()

  Deprecated.

### setIso

    public void setIso(ISOResource iso)

  Deprecated.

### getIso

    public ISOResource getIso()

  Deprecated.

### setServerPool

    public void setServerPool(ServerPool serverPool)

  Deprecated.

### getServerPool

    public ServerPool getServerPool()

  Deprecated.

### setPreferredServers

    public void setPreferredServers(VirtualServer[] preferredServers)

  Deprecated.

### getPreferredServers

    public VirtualServer[] getPreferredServers()

  Deprecated.

### setExtractedIsoLocation

    public void setExtractedIsoLocation(java.lang.String isoLocation)

  Deprecated.

### getExtractedIsoLocation

    public java.lang.String getExtractedIsoLocation()

  Deprecated.

### setIsoLocation

    public void setIsoLocation(java.lang.String isoLocation)

  Deprecated.

### getIsoLocation

    public java.lang.String getIsoLocation()

  Deprecated.

### setVmName

    public void setVmName(java.lang.String vmName)

  Deprecated.

### getVmName

    public java.lang.String getVmName()

  Deprecated.

### setHaEnable

    public void setHaEnable(boolean haEnable)

  Deprecated.

### isHaEnable

    public boolean isHaEnable()

  Deprecated.

### setVncPassword

    public void setVncPassword(java.lang.String vncPassword)

  Deprecated.

### getVncPassword

    public java.lang.String getVncPassword()

  Deprecated.

### setComments

    public void setComments(java.lang.String comments)

  Deprecated.

### getComments

    public java.lang.String getComments()

  Deprecated.

### setMemory

    public void setMemory(java.lang.Integer memory)

  Deprecated.

### getMemory

    public java.lang.Integer getMemory()

  Deprecated.

### setCpuNumber

    public void setCpuNumber(int cpuNumber)

  Deprecated.

### getCpuNumber

    public int getCpuNumber()

  Deprecated.

### setVmType

    public void setVmType(VmType vmType)

  Deprecated.

### getVmType

    public VmType getVmType()

  Deprecated.

### setOperatingSystem

    public void setOperatingSystem(OperatingSystem operatingSystem)

  Deprecated.

### setOperatingSystemName

    public void setOperatingSystemName(java.lang.String operatingSystemName)

  Deprecated.

### getOperatingSystemName

    public java.lang.String getOperatingSystemName()

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.